summaryrefslogtreecommitdiffstats
path: root/system/sbo-create
diff options
context:
space:
mode:
Diffstat (limited to 'system/sbo-create')
-rw-r--r--system/sbo-create/README16
-rw-r--r--system/sbo-create/sbo-create.SlackBuild96
-rw-r--r--system/sbo-create/sbo-create.info10
-rw-r--r--system/sbo-create/slack-desc19
4 files changed, 141 insertions, 0 deletions
diff --git a/system/sbo-create/README b/system/sbo-create/README
new file mode 100644
index 0000000000..2751ec3d80
--- /dev/null
+++ b/system/sbo-create/README
@@ -0,0 +1,16 @@
+sbo-create it's a tool that creates easy, fast and safe SlackBuilds
+file scripts.
+
+Features
+
+- Preloaded SlackBuilds templates.
+- Checking for already SlackBuilds in the repository and the
+ distribution.
+- Autocorrect the quote marks for the .info file.
+- Auto-importing the SlackBuild script name.
+- Auto-importing the text from the slack-desc file into the README.
+- Auto-importing the maintainer data to the .SlackBuild script.
+- Auto-importing the version to the .SlackBuild script.
+- Auto-importing and checking the checksum signature to the .info
+ file.
+- Auto-create all the necessary files for your SlackBuild package.
diff --git a/system/sbo-create/sbo-create.SlackBuild b/system/sbo-create/sbo-create.SlackBuild
new file mode 100644
index 0000000000..792431bb35
--- /dev/null
+++ b/system/sbo-create/sbo-create.SlackBuild
@@ -0,0 +1,96 @@
+#!/bin/bash
+
+# Slackware build script for sbo-create
+
+# Copyright 2022-2024 Dimitris Zlatanidis Orestiada, Greece
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=sbo-create
+VERSION=${VERSION:-2.0.8}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python3 -m build --wheel --no-isolation
+python3 -m installer --destdir "$PKG" dist/*.whl
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/system/sbo-create/sbo-create.info b/system/sbo-create/sbo-create.info
new file mode 100644
index 0000000000..5e578081f4
--- /dev/null
+++ b/system/sbo-create/sbo-create.info
@@ -0,0 +1,10 @@
+PRGNAM="sbo-create"
+VERSION="2.0.8"
+HOMEPAGE="https://dslackw.gitlab.io/sbo-create"
+DOWNLOAD="https://gitlab.com/dslackw/sbo-create/-/archive/2.0.8/sbo-create-2.0.8.tar.gz"
+MD5SUM="4c1850264794c14880e9ccd2133de224"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-build python3-pythondialog"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="dslackw@gmail.com"
diff --git a/system/sbo-create/slack-desc b/system/sbo-create/slack-desc
new file mode 100644
index 0000000000..30f5ba7092
--- /dev/null
+++ b/system/sbo-create/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+sbo-create: sbo-create (Tool that creates SlackBuilds)
+sbo-create:
+sbo-create: sbo-create it's a tool that creates easy, fast and safe SlackBuilds
+sbo-create: file scripts.
+sbo-create:
+sbo-create: Homepage: https://dslackw.gitlab.io/sbo-create
+sbo-create:
+sbo-create:
+sbo-create:
+sbo-create:
+sbo-create: